Parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class Parameter

    java.lang.Object
      com.fenalco.entities.Parameter

    public class Parameter

extends java.lang.Object

Esta clase representa la tabla parametros_sistema de la base de datos y encapsula cada una de las operaciones que sobre esta se puedan realizar : inserción, actualización, eliminación, consulta

Author:
  Mario Linares Vásquez

Field Summary
`private java.lang.String` | `description` descripción del parámetro
`private int` | `id` id dle parámetro del sistema
`private java.lang.String` | `name` nombre del parámetro
`private java.lang.String` | `value` valor para el parámetro

Constructor Summary
`Parameter()` Constructor por omisión de la clase.
`Parameter(int id)` Constructor que recibe el id del parámetro del sistema en la base de datos.

Method Summary
`boolean` | `delete(Transaction transaction)` Realiza una consulta SQL de tipo delete con el fin de eliminar el parámetro de la base de datos cuando se creo la instancia con el constructor que recibe el id como parámetro.Para eliminar los datos en la tabla parametros_sistema debe construir una consulta SQL de tipo deletete y la adiciona a la transacción con el método `addSql`
`java.lang.String` | `getDescription()` Consultor para el atributo description.
`int` | `getId()` Consultor para el atributo id.
`java.lang.String` | `getName()` Consultor para el atributo name.
`java.lang.String` | `getValue()` Consultor para el atributo value.
`boolean` | `loadData(int id)` Este método carga de la tabla parametros_sistema de la base de datos todos los valores de los campos en los atributos de la clase, a través del método `query` de la clase `SQLUtilities`
`static void` | `main(java.lang.String[] args)`
`boolean` | `saveData(Transaction transaction)` Este método guarda los atributos del parámetro en la base de datos.
`void` | `setDescription(java.lang.String description)` Modificador para el atributo description.
`void` | `setId(int id)` Modificador para el atributo id.
`void` | `setName(java.lang.String name)` Modificador para el atributo name.
`void` | `setValue(java.lang.String value)` Modificador para el atributo value.
`boolean` | `update(Transaction transaction)` Realiza una consulta SQL de tipo update con el fin de actualizar los campos del parámetro del sistema modificados a través de los métodos setter.Para actualizar los datos en la tabla parametros_sistema debe construir una consulta SQL de tipo update y la adiciona a la transacción con el método `addSql`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

  id dle parámetro del sistema

### name

    private java.lang.String name

  nombre del parámetro

### value

    private java.lang.String value

  valor para el parámetro

### description

    private java.lang.String description

  descripción del parámetro

Constructor Detail

### Parameter

    public Parameter()

  Constructor por omisión de la clase. Se debe usar para el caso de insertar un nuevo parámetro en la base de datos

### Parameter

    public Parameter(int id)

  Constructor que recibe el id del parámetro del sistema en la base de datos. Se debe usar en el caso de actualizaciones, borrado y consulta. Este constructor llama a la función miembro `loadData` con el parámetro id con el fin de cargar los datos propios del parámetro del sistema que residen en la base de datos. Al usar este constructor si se desea modificar el valor de algún campo se deben utilizar los métodos consultores (setter).

  Parameters:
    `id` - int que representa el id del parámetro del sistema en la base de datos

Method Detail

### loadData

    public boolean loadData(int id)

  Este método carga de la tabla parametros_sistema de la base de datos todos los valores de los campos en los atributos de la clase, a través del método `query` de la clase `SQLUtilities`

  Parameters:
    `id` - identificador del parámetro del sistema
  Returns:
    boolean que representa el exito del proceso de carga de los datos

### saveData

    public boolean saveData(Transaction transaction)

  Este método guarda los atributos del parámetro en la base de datos. Se debe usar solo cuando se ha creado una instancia con el constructor por omisión. Para almacenar los datos en la tabla parametros_sistema debe construir una consulta SQL de tipo insert y la adiciona a la transacción con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de inserción

### update

    public boolean update(Transaction transaction)

  Realiza una consulta SQL de tipo update con el fin de actualizar los campos del parámetro del sistema modificados a través de los métodos setter.Para actualizar los datos en la tabla parametros_sistema debe construir una consulta SQL de tipo update y la adiciona a la transacción con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de actualización

### delete

    public boolean delete(Transaction transaction)

  Realiza una consulta SQL de tipo delete con el fin de eliminar el parámetro de la base de datos cuando se creo la instancia con el constructor que recibe el id como parámetro.Para eliminar los datos en la tabla parametros_sistema debe construir una consulta SQL de tipo deletete y la adiciona a la transacción con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de borrado

### getId

    public int getId()

  Consultor para el atributo id.

  Returns:
    Valor del atributo id.

### setId

    public void setId(int id)

  Modificador para el atributo id.

  Parameters:
    `id` - Nuevo valor del atributo id.

### getName

    public java.lang.String getName()

  Consultor para el atributo name.

  Returns:
    Valor del atributo name.

### setName

    public void setName(java.lang.String name)

  Modificador para el atributo name.

  Parameters:
    `name` - Nuevo valor del atributo name.

### getValue

    public java.lang.String getValue()

  Consultor para el atributo value.

  Returns:
    Valor del atributo value.

### setValue

    public void setValue(java.lang.String value)

  Modificador para el atributo value.

  Parameters:
    `value` - Nuevo valor del atributo value.

### getDescription

    public java.lang.String getDescription()

  Consultor para el atributo description.

  Returns:
    Valor del atributo description.

### setDescription

    public void setDescription(java.lang.String description)

  Modificador para el atributo description.

  Parameters:
    `description` - Nuevo valor del atributo description.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD